package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_BOM")
@EqualsAndHashCode(callSuper = true)
public class PtlBom extends BaseBean implements Serializable {
    private static final long serialVersionUID = -4459081803170156825L;

    @Column(name = "PART_NO")
    @ApiParam("父物料号")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("父物料描述")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String partName;

    @Column(name = "UNIT")
    @ApiParam("计量单位")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String unit;

    @Column(name = "QTY")
    @ApiParam("数量")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private Double qty;

    @Column(name = "ITEM_PART_NO")
    @ApiParam("子物料号")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String itemPartNo;

    @Column(name = "ITEM_PART_NAME")
    @ApiParam("子物料描述")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String itemPartName;

    @Column(name = "ITEM_UNIT")
    @ApiParam("子计量单位")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String itemUnit;

    @Column(name = "ITEM_QTY")
    @ApiParam("子用量")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private Integer itemQty;

    @Column(name = "BOM_NUM")
    @ApiParam("BOM编号")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String bomNum;

    @Column(name = "BOM_VERSION")
    @ApiParam("BOM版本号")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String bomVersion;

    @Column(name = "EFF_START_TIME")
    @ApiParam("有效起始日期")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.DATETIME)
    private Date effStartTime;

    @Column(name = "EFF_END_TIME")
    @ApiParam("有效截止日期")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.DATETIME)
    private Date effEndTime;

    public String getPartNo() {
        return partNo;
    }

    public void setPartNo(String partNo) {
        this.partNo = partNo;
    }

    public String getPartName() {
        return partName;
    }

    public void setPartName(String partName) {
        this.partName = partName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Double getQty() {
        return qty;
    }

    public void setQty(Double qty) {
        this.qty = qty;
    }

    public String getItemPartNo() {
        return itemPartNo;
    }

    public void setItemPartNo(String itemPartNo) {
        this.itemPartNo = itemPartNo;
    }

    public String getItemPartName() {
        return itemPartName;
    }

    public void setItemPartName(String itemPartName) {
        this.itemPartName = itemPartName;
    }

    public String getItemUnit() {
        return itemUnit;
    }

    public void setItemUnit(String itemUnit) {
        this.itemUnit = itemUnit;
    }

    public Integer getItemQty() {
        return itemQty;
    }

    public void setItemQty(Integer itemQty) {
        this.itemQty = itemQty;
    }

    public String getBomNum() {
        return bomNum;
    }

    public void setBomNum(String bomNum) {
        this.bomNum = bomNum;
    }

    public String getBomVersion() {
        return bomVersion;
    }

    public void setBomVersion(String bomVersion) {
        this.bomVersion = bomVersion;
    }

    public Date getEffStartTime() {
        return effStartTime;
    }

    public void setEffStartTime(Date effStartTime) {
        this.effStartTime = effStartTime;
    }

    public Date getEffEndTime() {
        return effEndTime;
    }

    public void setEffEndTime(Date effEndTime) {
        this.effEndTime = effEndTime;
    }
}
